Bug 1794480 - tucnak2-2.31-20.fc32 FTBFS: /usr/bin/ld: alsa.o: in function `$d': /builddir/build/BUILD/tucnak2-2.31/src/header.h:3461: multiple definition of `rotar'; adif.o:/builddir/build/BUILD/tucnak2-2.31/src/header.h:3461: first defined here [NEEDINFO]
Summary: tucnak2-2.31-20.fc32 FTBFS: /usr/bin/ld: alsa.o: in function `$d': /builddir/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tucnak2
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-23 17:01 UTC by Petr Pisar
Modified: 2020-03-16 20:32 UTC (History)
2 users (show)

Fixed In Version: tucnak2-2.31-20.fc32.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:20:32 UTC
Type: Bug
releng: needinfo? (lucilanga)


Attachments (Terms of Use)

Description Petr Pisar 2020-01-23 17:01:53 UTC
tucnak2-2.31-20.fc32 fails to build with GCC 10 in Fedora 32:

gcc  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/libpng16 -pthread -I/usr/include/libusb-1.0  -Wl,-z,relro -Wl,--as-needed -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -z now -o tucnak adif.o alsa.o bfu.o charsets.o control.o cor.o cordata.o cwdaemon.o cwdb.o cwwindow.o davac4.o dsp.o dwdb.o dxc.o ebw.o edi.o error.o excdb.o fft.o fhs.o fifo.o font.o gfx_png.o ghash.o gptrarray.o hash.o html.o iarray.o icons.o img_png.o inpout.o inputln.o interfaces.o kbd.o kbdbind.o language.o loc.o main.o map.o menu.o menu1.o menu2.o menu3.o menu4.o menu5.o namedb.o net.o ntpq.o os_dep.o oss.o ppdev.o rc.o regex.o report.o rotar.o qrvdb.o qsodb.o scandir.o scope.o sdev.o sdl.o select.o session.o settings.o sked.o ssbd.o stats.o subwin.o terminal.o threadpipe.o titlpage.o trig.o ttys.o txts.o winkey.o wizz.o zstring.o -lgpm -lm -lutil -lglib-2.0 -lgthread-2.0 -pthread -lglib-2.0 -lSDL -lpthread -lpng16 -lz -lsndfile -lasound -lhamlib -lfftw3 
/usr/bin/ld: alsa.o: in function `$d':
/builddir/build/BUILD/tucnak2-2.31/src/header.h:3461: multiple definition of `rotar'; adif.o:/builddir/build/BUILD/tucnak2-2.31/src/header.h:3461: first defined here
[...]
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:439: tucnak] Error 1

Comment 1 Ben Cotton 2020-02-11 17:26:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:29:36 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 Jaroslav Škarvada 2020-02-17 10:36:40 UTC
I think we could keep this in new state and let the process to orphan/retire it, because we already have tucnak v4 in Fedora.

Comment 4 Jaroslav Škarvada 2020-02-25 17:29:11 UTC
The package has been retired in f33 (currently rawhide) and it has been replaced by the 'tucnak' package (it's available since f30 in the stable repo).

So I don't know what to do with the f32. We are probably not going to fix the tucnak2 package in the f32 and according to the package retirement guidelines we shouldn't retire the package after the branching. I will probably keep this bugzilla to die :)

Comment 5 Fedora Release Engineering 2020-03-01 04:28:15 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Jaroslav Škarvada 2020-03-02 15:17:30 UTC
It's simple to workaround, but we would have to also update the tucnak package not to break the upgrade path. I would rather avoid it, so I will try to close this bug (because according to the guidelines we shouldn't retire packages in non rawhide branches - this package is already retired in the rawhide / f33).

Comment 7 Jaroslav Škarvada 2020-03-03 12:11:16 UTC
Finally, I will workaround the problem, because I found solution how to bump the release without need of rebuilt of the tucnak package.

Comment 8 Fedora Update System 2020-03-03 12:45:36 UTC
FEDORA-2020-be345431a4 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-be345431a4

Comment 9 Fedora Update System 2020-03-03 16:10:30 UTC
tucnak2-2.31-20.fc32.1 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-be345431a4

Comment 10 Fedora Update System 2020-03-16 20:20:32 UTC
tucnak2-2.31-20.fc32.1 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-03-16 20:32:07 UTC
tucnak2-2.31-20.fc32.1 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.